Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.plastic
Class PlasticPanelUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              javax.swing.plaf.basic.BasicPanelUI
                  com.jgoodies.plaf.plastic.PlasticPanelUI

public final class PlasticPanelUI
extends BasicPanelUI

The JGoodies Plastic Look&Feel implementation of `PanelUI`. Uses ClearLook(tm) to replace visually redundant `Border`s.

Author:
  Karsten Lentzsch

Constructor Summary
`PlasticPanelUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent x)`
`protected void` | `uninstallDefaults(JPanel panel)` Restores the original `Border`, in case we have replaced it before.
`void` | `update(Graphics g, JComponent c)` Replaces the `Border` if appropriate, then paints.

Methods inherited from class javax.swing.plaf.basic.BasicPanelUI
`installDefaults, installUI, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticPanelUI

    public PlasticPanelUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent x)

### update

    public void update(Graphics g,
                       JComponent c)

  Replaces the `Border` if appropriate, then paints.

### uninstallDefaults

    protected void uninstallDefaults(JPanel panel)

  Restores the original `Border`, in case we have replaced it before.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.